%define name mj
%define version 1.5.6
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: mj is the Chinese game of mah-jong.
Url: http://www.stevens-bradfield.com/MahJong/
Source: %name-%{version}-src.tar.bz2
Group: Games/Boards
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description
mj is the Chinese game of mah-jong. mj supports network play, as well as 
simple human to computer play. A Windows (tm) version of this game is
also available.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-src

%build
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" BINDIR="%_bindir"
make install.man MANDIR="%_mandir/man1" DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  ChangeLog [A-Z][A-Z]*
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Wed Aug 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.6-1mdk
- 1.5.6

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.5-1mdk
- 1.5.5

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Mon Mar  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-5mdk
- fix W: mj non-standard-group Amusements/Games

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- rebuild

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- rebuild

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-2mdk
- Fix defattr.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- First RPM for Mandrake.

